GDCM: gdcm::Base64 Class Reference

GDCM 3.0.25

Public Member Functions | Static Public Member Functions | List of all members
gdcm::Base64 Class Reference

Class for Base64. More...

`#include <gdcmBase64.h>`

## Public Member Functions
| Base64 (const Base64 &)=delete
void | operator= (const Base64 &)=delete

## Static Public Member Functions
static size_t | Decode (char *dst, size_t dlen, const char *src, size_t slen)
| Decode a base64-formatted buffer.
static size_t | Encode (char *dst, size_t dlen, const char *src, size_t slen)
| Encode a buffer into base64 format.
static size_t | GetDecodeLength (const char *src, size_t len)
static size_t | GetEncodeLength (const char *src, size_t srclen)

## Detailed Description

Class for Base64.

## Constructor & Destructor Documentation

## ◆ Base64()

gdcm::Base64::Base64 | ( | const Base64 & |  | ) |
| delete

References Base64().

Referenced by Base64(), and operator=().

## Member Function Documentation

## ◆ Decode()

static size_t gdcm::Base64::Decode | ( | char * | dst,
|  | size_t | dlen,
|  | const char * | src,
|  | size_t | slen )
| static

Decode a base64-formatted buffer.

Parameters

  dst | destination buffer
  dlen | size of the buffer
  src | source buffer
  slen | amount of data to be decoded

Returns
  0 if not successful, size of decoded otherwise

Examples
  DumpExamCard.cxx, and DumpSiemensBase64.cxx.

## ◆ Encode()

static size_t gdcm::Base64::Encode | ( | char * | dst,
|  | size_t | dlen,
|  | const char * | src,
|  | size_t | slen )
| static

Encode a buffer into base64 format.

Parameters

  dst | destination buffer
  dlen | size of the buffer
  src | source buffer
  slen | amount of data to be encoded

Returns
  0 if not successful, size of encoded otherwise

## ◆ GetDecodeLength()

static size_t gdcm::Base64::GetDecodeLength | ( | const char * | src,
|  | size_t | len )
| static

Call this function to obtain the required buffer size

Examples
  DumpExamCard.cxx, and DumpSiemensBase64.cxx.

## ◆ GetEncodeLength()

static size_t gdcm::Base64::GetEncodeLength | ( | const char * | src,
|  | size_t | srclen )
| static

Call this function to obtain the required buffer size

## ◆ operator=()

void gdcm::Base64::operator= | ( | const Base64 & |  | ) |
| delete

References Base64().

The documentation for this class was generated from the following file:

- gdcmBase64.h